<?php
// add contextual help to add / edit petition page
add_action( 'load-email-petitions_page_dk_speakup_edit', 'dk_speakup_help_edit' );

function dk_speakup_help_edit() {
	// tabbed help content
	$tab_petitions = '
		<p><strong>' . __( "Title", "dk_speakup" ) . '</strong>&mdash;' . __( "The title of your petition, which will appear at the top of the petition form.", "dk_speakup" ) . '</p>
		<p><strong>' . __( "Do not send email (only collect signatures)", "dk_speakup" ) . '</strong>&mdash;' . __( "Use this option if do not wish to have copies of each signed petition message emailed to anyone.", "dk_speakup" ) . '</p>
		<p><strong>' . __( "Target Email", "dk_speakup" ) . '</strong>&mdash;' . __( "The email address to which copies of each petition signature will be sent. You may enter multiple email addresses, separated by commas.", "dk_speakup" ) . '</p>
		<p><strong>' . __( "Email Subject", "dk_speakup" ) . '</strong>&mdash;' . __( "The subject line that will appear on signed petition emails.", "dk_speakup" ) . '</p>
		<p><strong>' . __( "Greeting", "dk_speakup" ) . '</strong>&mdash;' . __( "An address to the recipient of your signed petition emails, such as \"Dear Sir,\" which will appear as the first line of the email.", "dk_speakup" ) . '</p>
		<p><strong>' . __( "Petition Message", "dk_speakup" ) . '</strong>&mdash;' . __( "The content of the petition which you are asking people to sign.", "dk_speakup" ) . '</p>
	';
	$tab_twitter_message = '
		<p><strong>' . __( "Twitter Message", "dk_speakup" ) . '</strong>&mdash;' . __( "The default content of a tweet that will be submitted to Twitter.com upon clicking the Twitter button that is presented to users after signing your petition.", "dk_speakup" ) . '</p>
	';
	$tab_petition_options = '
		<p><strong>' . __( "Confirm signatures", "dk_speakup" ) . '</strong>&mdash;' . __( "Sends an email to petition signers that includes a special link. The link must be clicked in order to confirm that the signer controls the email address they submitted.", "dk_speakup" ) . '</p>
		<p><strong>' . __( "Set signature goal", "dk_speakup" ) . '</strong>&mdash;' . __( "Allows you to enter the number of signatures you hope to collect. This number is used to calculate the completion percentage displayed by the signatures progress bar.", "dk_speakup" ) . '</p>
		<p><strong>' . __( "Set expiration date", "dk_speakup" ) . '</strong>&mdash;' . __( "Allows you to set a date and time beyond which further signatures will no longer be accepted for your petition.", "dk_speakup" ) . '</p>
	';
	$tab_display_options = '
		<p><strong>' . __( "Display address field", "dk_speakup" ) . '</strong>&mdash;' . __( "Displays a textarea on the petition form for collecting the signer&#39;s address.<", "dk_speakup" ) . '/p>
		<p><strong>' . __( "Display custom field", "dk_speakup" ) . '</strong>&mdash;' . __( "Allows you to add a custom field and label to the petition form to collect additional data.", "dk_speakup" ) . '</p>
		<p><strong>' . __( "Display opt-in checkbox", "dk_speakup" ) . '</strong>&mdash;' . __( "Displays a checkbox on the petition form allowing signers to indicate whether they wish to receive further emails from you.", "dk_speakup" ) . '</p>
	';

	// create the tabs
	$screen = get_current_screen();
	$screen -> add_help_tab( array (
		'id' => 'dk_speakup_help_petition',
		'title' => __( "Petition", "dk_speakup" ),
		'content' => $tab_petitions
	));
	$screen -> add_help_tab( array (
		'id' => 'dk_speakup_help_twitter_message',
		'title' => __( "Twitter Message", "dk_speakup" ),
		'content' => $tab_twitter_message
	));
	$screen -> add_help_tab( array (
		'id' => 'dk_speakup_help_petition_options',
		'title' => __( "Petition Options", "dk_speakup" ),
		'content' => $tab_petition_options
	));
	$screen -> add_help_tab( array (
		'id' => 'dk_speakup_help_display_options',
		'title' => __( "Display Options", "dk_speakup" ),
		'content' => $tab_display_options
	));
}

// add contextual help to settings page
add_action( 'load-email-petitions_page_dk_speakup_settings', 'dk_speakup_help_settings' );

function dk_speakup_help_settings() {
	// tabbed help content
	$tab_admin_display = '
		<p>' . __( "These settings control the look of the plugin's options pages within the WordPress administrator.", "dk_speakup" ) . '</p>
		<p><strong>' . __( "Petitions table shows", "dk_speakup" ) . '</strong>&mdash;' . __( "The number of rows displayed in the \"Email Petitions\" table", "dk_speakup" ) . '</p>
		<p><strong>' . __( "Signatures table shows", "dk_speakup" ) . '</strong>&mdash;' . __( "The number of rows displayed in the \"Signatures\" table", "dk_speakup" ) . '</p>
	';
	$tab_petition_display = '
		<p>' . __( "These settings control the look of the petition form which is displayed to the public.", "dk_speakup" ) . '</p>
		<p><strong>' . __( "Petition Theme", "dk_speakup" ) . '</strong>&mdash;' . __( "Select a theme to style the appearance of your petition form. The \"Standard\" theme is the default grey box style. The \"Basic\" theme is a plain form style without a bounding box. Selecting \"None\" will leave the form without any CSS styling at all. You can provide your own theme by selecting \"None\" and then copying the contents of the css/theme-standard.css file into your theme's style.css file and editing those styles as you wish.", "dk_speakup" ) . '</p>
		<p><strong>' . __( "Submit Button Text", "dk_speakup" ) . '</strong>&mdash;' . __( "The text that displays in the orange submit button on petition forms.", "dk_speakup" ) . '</p>
		<p><strong>' . __( "Success Message", "dk_speakup" ) . '</strong>&mdash;' . __( "The text that displays when someone successfully submits the petition form. You may use the Accepted Variables and Accepted HTML Tags listed below this option to customize your message.", "dk_speakup" ) . '</p>
		<p><strong>' . __( "Share Message", "dk_speakup" ) . '</strong>&mdash;' . __( "The text that appears above the Twitter and Facebook buttons when someone successfully submits the petition form.", "dk_speakup" ) . '</p>
		<p><strong>' . __( "Expiration Message", "dk_speakup" ) . '</strong>&mdash;' . __( "The text that displays in place of the form when the expiration date that you've set for a petition has passed.", "dk_speakup" ) . '</p>
		<p><strong>' . __( "Already Signed Message", "dk_speakup" ) . '</strong>&mdash;' . __( "The text that displays when someone submits the form using an email address that has already been used to sign your petition.", "dk_speakup" ) . '</p>
		<p><strong>' . __( "Opt-in Default", "dk_speakup" ) . '</strong>&mdash;' . __( "Whether the opt-in checkbox is checked by default or left unchecked.", "dk_speakup" ) . '</p>
		<p><strong>' . __( "Display Signature Count", "dk_speakup" ) . '</strong>&mdash;' . __( "Whether you wish to display the number of signatures that have been collected for the petition at the bottom of the petition form.", "dk_speakup" ) . '</p>
	';
	$tab_confirmation_emails = '
		<p>' . __( "These settings control the content of the confirmation emails that are sent when the Confirm signatures option has been set for a petition.", "dk_speakup" ) . '</p>
		<p><strong>' . __( "Email From Address", "dk_speakup" ) . '</strong>&mdash;' . __( "The email address from which confirmation emails will appear to be sent.", "dk_speakup" ) . '</p>
		<p><strong>' . __( "Email Subject", "dk_speakup" ) . '</strong>&mdash;' . __( "The subject line of your confirmation emails.", "dk_speakup" ) . '</p>
		<p><strong>' . __( "Confirmation Message", "dk_speakup" ) . '</strong>&mdash;' . __( "The content of the confirmation email. Use the Accepted Variables listed below this option to customize your email message.", "dk_speakup" ) . '</p>
	';
	$tab_signature_list_display = '
		<p>' . __( "These settings control the display of the latest signatures list when the [signaturelist] shortcode is in use.", "dk_speakup" ) . '</p>
		<p><strong>' . __( "Signature list header", "dk_speakup" ) . '</strong>&mdash;' . __( "The text of the headline that appears above the signature list.", "dk_speakup" ) . '</p>
		<p><strong>' . __( "Signature list shows", "dk_speakup" ) . '</strong>&mdash;' . __( "The number of signatures that will be displayed in your latest signature list.", "dk_speakup" ) . '</p>
	';

	// create the tabs
	$screen = get_current_screen();
	$screen -> add_help_tab( array (
		'id' => 'dk_speakup_help_admin_display',
		'title' => __( "Admin Display", "dk_speakup" ),
		'content' => $tab_admin_display
	));
	$screen -> add_help_tab( array (
		'id' => 'dk_speakup_help_petition_display',
		'title' => __( "Petition Display", "dk_speakup" ),
		'content' => $tab_petition_display
	));
	$screen -> add_help_tab( array (
		'id' => 'dk_speakup_help_confirmation_emails',
		'title' => __( "Confirmation Emails", "dk_speakup" ),
		'content' => $tab_confirmation_emails
	));
	$screen -> add_help_tab( array (
		'id' => 'dk_speakup_help_signature_list_display',
		'title' => __( "Signature List Display", "dk_speakup" ),
		'content' => $tab_signature_list_display
	));
}
?>